Description

Scrollbar in Property View partially eclipses property values / buttons

Some EditorPluginBase methods in QML are failing with exceptions:

removeOutputPin()

Seems to remove the pin, but throws an exception (either “Cannot read property ‘success’ of undefined” or “Type

error”) as well. Seems to also occur when executing ADTFDAT Player's context menu entry, as at most only one pin

is removed with every execution.

Workaround is currently to ignore this exception and continue.

removeInputPin()

Same as removeOutputPin()

findService()

Throws exception “modelmanagerData is not defined”.

Workaround is currently to access modelmanager.system.service to find a service.

History

#1 - 2020-06-26 14:32 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

@Basti: kannst du das bitte bewerten und v.a. gleich beim Property Editor Redesign einfließen lassen ? Zu den QML Themen natürlich auch

PS: zum Filter Editor gibts auch schon ein Ticket (siehe auch [[Download-Center:KnownProblems]]), scheinbar ist mehr betroffen, auch wenn alles zu

gehen scheint:

[ACORE-10536] - Filter Editor snippet works but shows an error

#2 - 2020-06-29 09:46 - hidden

Hallo Bane,

vielen Dank für deinen Input,

Die Bugs in der EditorPluginBase.qml habe ich in einem Ticket zusammengefasset https://www.cip.audi.de/jira/browse/ACORE-10571.

Das werde ich bis zur nächsten Version fixen.

Den PropertyEditor überarbeite ich ebenfalls gerade, dass mit den Scrollbars ist aber ein super Hinweis.

Grüße

Sebastian Stern

#4 - 2020-07-02 16:29 - hidden

- Project changed from 5 to Public Support

- Subject changed from Findings in 3.7.1 to Property Editor and QML Findings in ADTF 3.7

- Description updated
https://www.cip.audi.de/jira/browse/ACORE-10571


- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10571

Ich denke das Ticket kann geschlossen werden.

Die CE QML (ACORE-10571) Geschichten werden in ADTF 3.8 gefixt sein, beim Redesign des Property Editors (ACORE-10033) werden die

sonstigen Themen berücksichtigt

#5 - 2020-07-02 16:29 - hidden

- Topic changed from ADTF::Common to ADTF::CE

#6 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
